from django.conf.urls import include, url
from django.contrib import admin
from django.contrib.auth import views as auth_views
from django.conf.urls.static import static
from django.conf import settings

from gestion import views as gestion_views

urlpatterns = [
    url(r'^$', gestion_views.home, name='home'),
    url(r'^login/?$', gestion_views.login, name='login'),
    url(r'^logout/?$', auth_views.logout, {'next_page': '/'}, name='logout'),
    url(r'^registration/?$', gestion_views.inscription_membre,
        name='registration'),
    url(r'^change/?', gestion_views.change_membre, name='change_membre'),
    url(r'^password/?', gestion_views.change_password, name='change_password'),
    url(r'^user/password/reset/$', auth_views.password_reset,
        {'post_reset_redirect': '/user/password/reset/done/'},
        name="password_reset"),
    url(r'^user/password/reset/done/$',
        auth_views.password_reset_done),
    url(r'^user/password/reset/(?P<uidb64>[0-9A-Za-z]+)-(?P<token>.+)/$',
        auth_views.password_reset_confirm,
        {'post_reset_redirect': '/user/password/done/'},
        name="password_reset_confirm"),
    url(r'^user/password/done/$',
        auth_views.password_reset_complete),
    url(r'^admin/', include(admin.site.urls)),
    url(r'^partitions/', include('partitions.urls')),
    url(r'^pads/', include('pads.urls')),
    url(r'^calendar/', include('calendrier.urls')),
    url(r'^propositions/', include('propositions.urls')),
    url(r'^divers/', gestion_views.divers),
]

urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
