# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='ErnestoUser',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, verbose_name='ID', serialize=False)),
                ('is_ernesto', models.BooleanField(verbose_name="Membre de l'Ernestophone", default=True)),
                ('is_chef', models.BooleanField(verbose_name='Chef Fanfare', default=False)),
                ('phone', models.CharField(blank=True, max_length=20, verbose_name='Téléphone')),
                ('instru', models.CharField(blank=True, max_length=40, verbose_name='Instrument joué')),
                ('slug', models.CharField(max_length=7, editable=False, unique=True)),
                ('doodlename', models.CharField(blank=True, max_length=30, verbose_name='Nom pour le doodle')),
                ('mails', models.BooleanField(verbose_name='Recevoir les mails', default=True)),
                ('user', models.OneToOneField(to=settings.AUTH_USER_MODEL, related_name='profile')),
            ],
            options={
                'verbose_name': 'Profil Ernestophoniste',
                'verbose_name_plural': 'Profil Ernestophoniste',
            },
        ),
    ]
